import { EnumAppConfigKey } from "@/common/enum";
import { useAppStore } from "@/store/appStore";

export const useAppConfig = () => {
  const appStore = useAppStore();
  /**
   * 短信验证码是否开启图形验证
   */
  const isSmsCaptchaEnable = computed(() => {
    return appStore.getAppConfig(EnumAppConfigKey.SMS_CAPTCHA_ENABLE) === 'true';
  });
  return {
    isSmsCaptchaEnable
  }
}